const {
  getAllKategori,
  createKategori,
  deleteKategori,
} = require("./servis.js");

const ambilSemua = async (req, res) => {
  try {
    const data = await getAllKategori();
    res.status(200).json(data);
  } catch (error) {
    res.status(500).json({ message: error.message });
  }
};

const tambahKategori = async (req, res) => {
  try {
    const { nama_kategori } = req.body;
    const data = await createKategori({ nama_kategori });
    res.status(201).json({ message: "Kategori berhasil dibuat", data });
  } catch (error) {
    res.status(400).json({ message: error.message });
  }
};

const hapusKategori = async (req, res) => {
  try {
    const { id } = req.params;
    const hasil = await deleteKategori(id);
    if (!hasil)
      return res.status(404).json({ message: "Kategori tidak ditemukan" });
    res.status(200).json({ message: "Kategori berhasil dihapus" });
  } catch (error) {
    res.status(500).json({ message: error.message });
  }
};

module.exports = { ambilSemua, tambahKategori, hapusKategori };
